NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Mechatronics.CurveOnCurveJointBuilder Class Reference

Represents a NXOpen.Mechatronics.CurveOnCurveJoint builder More...

Inheritance diagram for NXOpen.Mechatronics.CurveOnCurveJointBuilder:
NXOpen.Mechatronics.PhysicsJointBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void EvaluatePath (NXOpen.NXObject[] curves)
 Evaluate the path. More...
 
unsafe NXOpen.NXObject[] GetConnectedCurve ()
 Get the connected curve which the attachment will move along More...
 
unsafe NXOpen.NXObject[] GetSectionCurve ()
 Get the section curve which belong to the attachment More...
 
unsafe void SetConnectedCurve (NXOpen.NXObject[] curves)
 Set the connected curve which the attachment will move along More...
 
unsafe void SetSectionCurve (NXOpen.NXObject[] curves)
 Set the section curve which belong to the attachment More...
 
- Public Member Functions inherited from NXOpen.Mechatronics.PhysicsJointBuilder
unsafe void SetAttachment (NXOpen.NXObject attachment)
 Sets the attachment. More...
 
unsafe void SetBase (NXOpen.NXObject @base)
 Sets the base. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction AxisVector [get, set]
 Returns or sets the axis vector which is tangent to the connected curve at the selected point More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value. More...
 
unsafe NXOpen.Point PointOnCurve [get, set]
 Returns or sets the selected point on curve More...
 
unsafe bool Sliding [get, set]
 Returns or sets the sliding More...
 
- Properties inherited from NXOpen.Mechatronics.PhysicsJointBuilder
unsafe NXOpen.SelectNXObject Attachment [get]
 Returns the attachment of joint. More...
 
unsafe NXOpen.SelectNXObject Base [get]
 Returns the base of joint. More...
 
unsafe NXOpen.Point BaseAnchorPoint [get, set]
 Returns or sets the anchor point of base. More...
 
unsafe NXOpen.Direction BaseAxisVector [get, set]
 Returns or sets the axis vector of base. More...
 
unsafe string Name [get, set]
 Returns or sets the name. More...
 
unsafe bool Positioning [get, set]
 Returns or sets a boolean value that indicates whether to create an assembly joint. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Mechatronics.CurveOnCurveJoint builder

To create a new instance of this class, use NXOpen.Mechatronics.CurveOnCurveJointCollection.CreateCurveOnCurveJointBuilder

Default values.

Property Value

Offset.Value

0 (millimeters part), 0 (inches part)

Sliding

0

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.Mechatronics.CurveOnCurveJointBuilder.EvaluatePath ( NXOpen.NXObject[]  curves)
inline

Evaluate the path.

If there is no path, create it, otherwise evaluate it.

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Parameters
curvescurve or edge
unsafe NXOpen.NXObject [] NXOpen.Mechatronics.CurveOnCurveJointBuilder.GetConnectedCurve ( )
inline

Get the connected curve which the attachment will move along

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Returns
curve or edge
unsafe NXOpen.NXObject [] NXOpen.Mechatronics.CurveOnCurveJointBuilder.GetSectionCurve ( )
inline

Get the section curve which belong to the attachment

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Returns
curve or edge
unsafe void NXOpen.Mechatronics.CurveOnCurveJointBuilder.SetConnectedCurve ( NXOpen.NXObject[]  curves)
inline

Set the connected curve which the attachment will move along

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Parameters
curvescurve or edge
unsafe void NXOpen.Mechatronics.CurveOnCurveJointBuilder.SetSectionCurve ( NXOpen.NXObject[]  curves)
inline

Set the section curve which belong to the attachment

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

Parameters
curvescurve or edge

Property Documentation

unsafe NXOpen.Direction NXOpen.Mechatronics.CurveOnCurveJointBuilder.AxisVector
getset

Returns or sets the axis vector which is tangent to the connected curve at the selected point

Created in NX9.0.0

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Expression NXOpen.Mechatronics.CurveOnCurveJointBuilder.Offset
get

Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value.

Zero Point is on the opposite direction of the axis with respect to the point on the curve.

Created in NX9.0.0

License requirements: nx_mcd_core ("Mechatronics Concept Designer")

unsafe NXOpen.Point NXOpen.Mechatronics.CurveOnCurveJointBuilder.PointOnCurve
getset

Returns or sets the selected point on curve

Created in NX9.0.0

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")

unsafe bool NXOpen.Mechatronics.CurveOnCurveJointBuilder.Sliding
getset

Returns or sets the sliding

Created in NX9.0.0

License requirements to get this property: nx_mcd_core ("Mechatronics Concept Designer")

License requirements to set this property: nx_mcd_core ("Mechatronics Concept Designer")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.